orders.read_write - Orders Read & WriteAuthorization: Bearer ********************{
"external_order_id": "2134562477",
"status_name": "تم التوصيل",
"date": "2026-01-01 01:01",
"currency": "SAR",
"exchange_currency_rate": 1,
"subtotal": 120,
"source": "shopify",
"tax": {
"rate": 15,
"value": 18.75
},
"customer": {
"id": 1298199463
},
"products": [
{
"name": "Product One",
"price": 120,
"cost_price": 0,
"sku": "SKU-125",
"weight": 10,
"quantity": 1,
"weight_type": "g",
"require_shipping": 1,
"product_type": "product",
"mpn": "12345678",
"gtin": "12345678",
"product_discount": 30,
"thumbnail": "https://cdn.salla.sa/nhoyP0xlOvBvoWe37IsTqkmvbfDpBTK6NkENayQ5.png",
"tax": {
"rate": 15,
"value": 13.5
}
}
],
"discounts": {
"code": "123",
"amount": 30,
"shipping_amount": 0
},
"payment": {
"status": "paid",
"method": "cod",
"receipt_image_path": "",
"gateway": {
"label": "geidia",
"reference_id": "423423423423"
},
"cash_on_delivery": {
"amount": 15
}
},
"receiver": {
"name": "Mohammed",
"phone": "+966507564233",
"country_code": "sa",
"email": "customer@email.com",
"notify": 1
},
"delivery_method": "shipping",
"courier_id": 665151403,
"shipping_cost": 20,
"ship_to": {
"country": 1473353380,
"city": 1473353380,
"block": "حي العمل",
"district": 1473353380,
"street_number": "street",
"address": "street",
"address_line": "building",
"postal_code": "12345",
"geo_coordinates": {
"lat": 24.774265,
"lng": 46.738586
},
"house_desc": "building",
"branch_id": null
}
}curl --location --request POST 'https://api.salla.dev/admin/v2/orders/external' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"external_order_id": "2134562477",
"status_name": "تم التوصيل",
"date": "2026-01-01 01:01",
"currency": "SAR",
"exchange_currency_rate": 1,
"subtotal": 120,
"source": "shopify",
"tax": {
"rate": 15,
"value": 18.75
},
"customer": {
"id": 1298199463
},
"products": [
{
"name": "Product One",
"price": 120,
"cost_price": 0,
"sku": "SKU-125",
"weight": 10,
"quantity": 1,
"weight_type": "g",
"require_shipping": 1,
"product_type": "product",
"mpn": "12345678",
"gtin": "12345678",
"product_discount": 30,
"thumbnail": "https://cdn.salla.sa/nhoyP0xlOvBvoWe37IsTqkmvbfDpBTK6NkENayQ5.png",
"tax": {
"rate": 15,
"value": 13.5
}
}
],
"discounts": {
"code": "123",
"amount": 30,
"shipping_amount": 0
},
"payment": {
"status": "paid",
"method": "cod",
"receipt_image_path": "",
"gateway": {
"label": "geidia",
"reference_id": "423423423423"
},
"cash_on_delivery": {
"amount": 15
}
},
"receiver": {
"name": "Mohammed",
"phone": "+966507564233",
"country_code": "sa",
"email": "customer@email.com",
"notify": 1
},
"delivery_method": "shipping",
"courier_id": 665151403,
"shipping_cost": 20,
"ship_to": {
"country": 1473353380,
"city": 1473353380,
"block": "حي العمل",
"district": 1473353380,
"street_number": "street",
"address": "street",
"address_line": "building",
"postal_code": "12345",
"geo_coordinates": {
"lat": 24.774265,
"lng": 46.738586
},
"house_desc": "building",
"branch_id": null
}
}'{
"status": 201,
"success": true,
"data": {
"id": 590266928,
"reference_id": 49301
}
}